using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class BlazeIt : MonoBehaviour {

	public Text text;
	public bool FPressed, TPressed, Bpressed;

	// Use this for initialization
	void Start () {
		text.text = "";
		FPressed = false;
		TPressed = false;
		Bpressed = false;
	}
	
	// Update is called once per frame
	void Update () {
		if (Input.GetKeyDown(KeyCode.F)) {
			if (FPressed == false)
			{
				FPressed = true;
			}
			else
			{
				FPressed = false;
			}
		}
		if (Input.GetKeyDown(KeyCode.T)) {
			if (TPressed == false)
			{
				TPressed = true;
			}
			else
			{
				TPressed = false;
			}
		}
		if (Input.GetKeyDown(KeyCode.B)) {
			if (Bpressed == false)
			{
				Bpressed = true;
			}
			else
			{
				Bpressed = false;
			}
		}

		if (FPressed == true && TPressed == true && Bpressed == true) {
			text.text = "420 BLAZE IT";
			text.fontSize = Random.Range(30, 75);
			text.color = new Color(Random.Range(0.0F, 1.0F), Random.Range(0.0F, 1.0F), Random.Range(0.0F, 1.0F));
		} else {
			text.text = "";
		}
	}
}
